<!--https://www.sitepoint.com/uploading-files-cgi-perl/-->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">
<html xmlns="https://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>SOLEIL/GRADES: AI Dataset Upload</title>
<style>

      
      input[type=submit] {
        background-color: #4CAF50;
        color: white;
        padding: 12px 20px;
        border: none;
        border-radius: 4px;
        cursor: pointer;
      }

    </style>
</head>

<body>
<h1 align="center"><i>Annotated Dataset Upload (e.g. for AI applications)</i></h1>

<p>
This service is meant to allow annotated dataset upload to our GRADES storage (in <a href="https://data-analysis.synchrotron-soleil.fr/data/ai">data-analysis AI</a>). The rationale is to gather all AI initiatives at SOLEIL.
</p><p>
You may upload any data together with the annotation e.g. for <b>AI training</b>. You may add a short descriptive text yourself, and in addition the metadata below will be stored with the data set entry. Maximum data set size is 50 GB, you can also directly drag-n-drop files onto the Browse button.
</p>
<p>
By submitting your data here, <i>you implicitely agree to share it</i> with other colleagues at SOLEIL. It can then be aggregated to build wider AI training data sets. You may access all datasets at <a href="https://data-analysis.synchrotron-soleil.fr/data/ai/">https://data-analysis.synchrotron-soleil.fr/data/ai/</a>
</p>

<!-- ----------------------------------------------------------------------- -->
<hr>
<form action="/cgi-bin/data_cgi_upload.py" id="upload" method="post" ENCTYPE="multipart/form-data" name="upload">

<table>

<!-- the metadata ---------------------------------------------------------- -->
<tr>
  <td><b>Your User ID *:</b></td> 
  <td><input type="text" name="user_id" placeholder="Your user ID (e.g. LDAP/EXP SUNset)"             /></td>
</tr>

<tr>  <!-- optional -->
  <td><b>Your password *:</b></td>
  <td><input type="password" name="user_pw"         placeholder="Your password"></td>
</tr>

<tr>
  <td><b>Dataset Name *:</b></td>  
  <td><input type="text"      name="dataset_name" placeholder="A single token e.g. [name]_[annotation]" /></td>
</tr><tr>
  <td><b>Dataset Origin:</b><br>
  <td><input type="text"      name="dataset_origin"   placeholder="e.g. Beam-line or other data source/url" size=70 /></td>
</tr><tr>
  <td><b>Dataset Annotation:</b><br>      
  <td><textarea      name="dataset_annotation"   placeholder="e.g. class, user events, mouse clicks, mask, noise level, missing data, ..." rows=3 cols=80 /></textarea></td>
</tr><tr>
  <td><b>Dataset Description:</b><br></td> 
  <td><textarea      name="dataset_description"  placeholder="e.g. resolution, acquisition configuration, external resources, software/library, PDB/CIF/UniProtKB entry number, licensing/aknowledgments, etc" rows=6 cols=80 /></textarea></td>
</tr>

<!-- the input file(s) ----------------------------------------------------- -->
<tr>
  <td><hr><b>Dataset file(s) *:</b></td> 
  <td><input type="file" name="dataset" id="dataset" multiple="" title="You may also drag-n-drop files" /></td>
</tr>
</table>


<p align="center"><input type="submit" name="Submit" value="Submit Data" title="Please be patient during upload" /></p>
</form>

<hr>
<small><b>Warning:</b> This service is NOT meant as a replacement for the Ruche ! | GRADES (c) 2023- 

  <a href="http://www.synchrotron-soleil.fr" target="_top">Synchrotron SOLEIL</a> - 
  <a href="http://www.synchrotron-soleil.fr" target="_top"><img
          alt="SOLEIL" title="SOLEIL"
          src="https://www.synchrotron-soleil.fr/sites/default/files/logo_0.png"
          align="right" border="0" height="48"></a>
</small>

</body>

</html>
